/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.compdef.compDefText;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Connector End</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.ConnectorEnd#getPort <em>Port</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.CompDefTextPackage#getConnectorEnd()
 * @model
 * @generated
 */
public interface ConnectorEnd extends EObject
{
  /**
   * Returns the value of the '<em><b>Port</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Port</em>' attribute.
   * @see #setPort(String)
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.CompDefTextPackage#getConnectorEnd_Port()
   * @model
   * @generated
   */
  String getPort();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.ConnectorEnd#getPort <em>Port</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Port</em>' attribute.
   * @see #getPort()
   * @generated
   */
  void setPort(String value);

} // ConnectorEnd
